LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XOrdinalSuffix Interface Reference

provides access to locale specific ordinal suffix systems. More...

`import"XOrdinalSuffix.idl";`

Inheritance diagram for XOrdinalSuffix:

## Public Member Functions
sequence< string > | getOrdinalSuffix ([in] long nNumber, [in] com::sun::star::lang::Locale aLocale)
| Returns all the possible ordinal suffixes for the number. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides access to locale specific ordinal suffix systems.

Since
  OOo 2.2

## Member Function Documentation

## ◆ getOrdinalSuffix()

sequence< string > getOrdinalSuffix | ( | [in] long | nNumber,
|  | [in] com::sun::star::lang::Locale | aLocale
| ) |  |

Returns all the possible ordinal suffixes for the number.

This method will provide "<b>st</b>", "<b>nd</b>", "<b>rd</b>", "<b>th</b>" for an English locale, depending on the provided number. In some locales like French, Italian or Spanish it ca return several suffixes for one number.

Examples: for the number '1', the values will be st in English, but er and re in French. All these values may depend on the underlying version of ICU.

The documentation for this interface was generated from the following file:

- com/sun/star/i18n/XOrdinalSuffix.idl